﻿using System.Windows;
using System.Windows.Controls;

namespace XamDocManagerIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }             

        private void popupTextBox_ContextMenuOpening(object sender, ContextMenuEventArgs e)
        {
            e.Handled = true;
            this.OpenContextMenu(sender as FrameworkElement);
        }

        private void Border_ContextMenuOpening(object sender, ContextMenuEventArgs e)
        {
            e.Handled = true;
            this.OpenContextMenu(sender as FrameworkElement);
        }

        private void OpenContextMenu(FrameworkElement element)
        {
            if (element.ContextMenu != null)
            {
                element.ContextMenu.IsOpen = true;
            }
        }
    }
}